Bug 1313867 - OpenJdk Orb Subsystem is not detected for EAP7
OpenJdk Orb Subsystem is not detected for EAP7
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
medium Severity medium
: CR01
: One-off release
Assigned To: Michael Burman
Hayk Hovsepyan
: Triaged
Depends On:
Blocks: 1314853
  Show dependency treegraph
 
Reported: 2016-03-02 08:50 EST by Hayk Hovsepyan
Modified: 2016-06-06 14:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 14:57:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2016-03-02 08:50:34 EST
Description of problem:
OpenJDK IIOP ORB subsystem of EAP7 server is not detected by JON agent.

Version-Release number of selected component (if applicable):
Version 3.3
Update-03
DR01 
jon-plugin-pack-eap-3.3.0.GA.zip

How reproducible:
always

Steps to Reproduce:
1. Setup JON server.
2. Install latest plugin pack on JON server .../3.3/Update-03/DR01/jon-plugin-pack-eap-3.3.0.GA.zip
3. Install EAP7 and configure JON agent on it on some machine.
4. From JON UI select EAP7 JON agent server and go to Subsystems.
5. In the list of subsystems OpenJDK Orb subsystem is missing.

Actual results:
OpenJDK IIOP ORB subsystem is not shown in Subsystems.

Expected results:
It should be detected and shown.

Additional info:
For EAP6 it works fine with the same steps.
Comment 1 Michael Burman 2016-03-02 09:42:47 EST
It has changed path:

service=iiop => service=iiop-openjdk
Comment 2 Heiko W. Rupp 2016-03-03 08:36:24 EST
This can't be urgent when we said yesterday that it falls on the "nice to have" list
Comment 3 Michael Burman 2016-03-03 12:44:05 EST
Fixed in the master:

commit 0af87e61ea550e211098d09b7cf09322bd82d1f3
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Mar 3 19:43:13 2016 +0200

    [BZ 1313867] Fix the IIOP service to IIOP-OpenJDK and add new properties
Comment 4 Mike McCune 2016-03-28 19:06:24 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Hayk Hovsepyan 2016-04-01 12:48:12 EDT
Tested with Update-04 DR02 on EAP7 ER07 and ER05 versions.

OpenJdk Orb subsystem is not available.

Putting back to ASSIGNED.
Comment 9 Michael Burman 2016-04-05 09:27:55 EDT
In the master (please revert the b4590cde548a3979d commit from release/jon3.3.x):

commit df3a007b5e200819e6e31d76ca1f1d1540304c21
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Apr 5 16:26:40 2016 +0300

    Revert "[BZ 1313867] Fix the IIOP service to IIOP-OpenJDK and add new properties"
    
    This reverts commit 0af87e61ea550e211098d09b7cf09322bd82d1f3.
Comment 10 Michael Burman 2016-04-06 09:21:54 EDT
And the fix also in the master (requires the revert):

commit 2056323a1d2d41bac613459c5cc7430e6d59364c
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Apr 6 16:21:08 2016 +0300

    [BZ 1313867] Move OpenJDK IIOP to correct resource depth
Comment 13 Hayk Hovsepyan 2016-04-13 07:34:48 EDT
Tested on revision jon33-eap-update04 ER01.

For EAP7 Domain mode, iiop-openjdk is not available in "Managed Servers -> EAP server-[one]|[two] -> Subsystems". 
For instance old jacorb was available there in EAP6.

But it is available in "Profile -> full* -> Subsystems" for Domain mode.
It it also available in Standalone mode.
Comment 14 Michael Burman 2016-04-21 10:41:31 EDT
In the master:

commit 4387729f21ea8c9058a170c1fff3e0061a06cc93
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Apr 21 17:40:52 2016 +0300

    [BZ 1313867] Move IIOP-OpenJDK subsystem to under containers (like JacORB) and create duplicate entry for managed server
Comment 17 Hayk Hovsepyan 2016-04-29 09:36:09 EDT
Verified on revision jon33-eap-update04 CR01

Note You need to log in before you can comment on or make changes to this bug.